package org.jeecg.modules.excelutil.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

/**
 * @author 宋英豪
 */
public class KuaishouXxlEntity extends BaseRowModel {
    /**
     * 日期
     */
    @ExcelProperty(index = 1, value = "日期")
    private String date;
    /**
     * 总花费
     */
    @ExcelProperty(index = 2, value = "总花费(元)")
    private BigDecimal cost;
    /**
     * 双出价
     */
    @ExcelProperty(index = 3, value = "双出价(元)")
    private BigDecimal doubleBid;
    /**
     * 非双出价
     */
    @ExcelProperty(index = 4, value = "非双出价(元)")
    private BigDecimal singleBid;
    /**
     * 激活数
     */
    @ExcelProperty(index = 5, value = "激活数")
    private int active;
    /**
     * 激活成本
     */
    @ExcelProperty(index = 6, value = "激活成本")
    private BigDecimal activeCost;
    @ExcelProperty(index = 7, value = "每日计划(组)")
    private int planNum;
    @ExcelProperty(index = 8, value = "每日素材安排")
    private String mat;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public BigDecimal getDoubleBid() {
        return doubleBid;
    }

    public void setDoubleBid(BigDecimal doubleBid) {
        this.doubleBid = doubleBid;
    }

    public BigDecimal getSingleBid() {
        return singleBid;
    }

    public void setSingleBid(BigDecimal singleBid) {
        this.singleBid = singleBid;
    }

    public int getActive() {
        return active;
    }

    public void setActive(int active) {
        this.active = active;
    }

    public BigDecimal getActiveCost() {
        return activeCost;
    }

    public void setActiveCost(BigDecimal activeCost) {
        this.activeCost = activeCost;
    }

    public int getPlanNum() {
        return planNum;
    }

    public void setPlanNum(int planNum) {
        this.planNum = planNum;
    }

    public String getMat() {
        return mat;
    }

    public void setMat(String mat) {
        this.mat = mat;
    }
}
